common:
  api_name: speech
  api_version: v1beta1
  organization_name: google-cloud
  service_yaml: cloud_speech_v1beta1.yaml
  gapic_yaml: v1beta1/cloud_speech_gapic.yaml
  src_proto_paths:
  - v1beta1
  proto_deps:
  - name: google-common-protos
artifacts:
- name: java_gapic
  type: GAPIC_ONLY
  language: JAVA
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/java/gapic-google-cloud-speech-v1beta1
    - name: grpc
      dest: generated/java/grpc-google-cloud-speech-v1beta1
    - name: proto
      dest: generated/java/proto-google-cloud-speech-v1beta1
- name: python_gapic
  type: GAPIC_ONLY
  language: PYTHON
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/python/gapic-google-cloud-speech-v1beta1
    - name: grpc
      dest: generated/python/proto-google-cloud-speech-v1beta1
  - name: python
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-python.git
    directory_mappings:
    - src: google/cloud/speech_v1beta1
      dest: speech/google/cloud/speech_v1beta1
    - src: tests/unit/gapic/v1beta1
      dest: speech/tests/gapic
    - name: grpc
      src: google/cloud/proto/speech/v1beta1
      dest: speech/google/cloud/proto/speech/v1beta1
- name: php_gapic
  type: GAPIC_ONLY
  language: PHP
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/php/google-cloud-speech-v1beta1
- name: ruby_gapic
  type: GAPIC_ONLY
  language: RUBY
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/ruby/google-cloud-speech-v1beta1
- name: go_gapic
  type: GAPIC_ONLY
  language: GO
  publish_targets:
  - name: go
    type: GITHUB
    location: git@github.com:GoogleCloudPlatform/google-cloud-go.git
    directory_mappings:
    - dest: speech/apiv1beta1
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/go/vendor/cloud.google.com/go/google-speech-v1beta1/vendor
- name: csharp_gapic
  type: GAPIC_ONLY
  language: CSHARP
- name: nodejs_gapic
  type: GAPIC_ONLY
  language: NODEJS
  package_version:
    grpc_dep_lower_bound: 0.10.0
  publish_targets:
  - name: staging
    type: GITHUB
    location: git@github.com:googleapis/api-client-staging.git
    directory_mappings:
    - dest: generated/nodejs/speech-v1beta1
- name: gapic_config
  type: GAPIC_CONFIG
